DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
IODICCProfileModule Class Reference

Class representing the ICC Profile Module: More...

Inheritance diagram for IODICCProfileModule:

## Public Member Functions
| IODICCProfileModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODICCProfileModule ()
| Constructor.
virtual | ~IODICCProfileModule ()
| Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | getICCProfile (const Uint8 *&value, Uint32 &numBytes)
| Get the ICC Color Profile data. More...
virtual OFCondition | getColorSpace (OFString &value, const signed long pos=0) const
| Get Color Space. More...
virtual OFCondition | setICCProfile (const Uint8 *value, const unsigned long numBytes, const OFBool checkValue=OFTrue)
| Set ICC Profile data. More...
virtual OFCondition | setDefaultProfile (const OFBool &setColorSpaceDescription=OFTrue)
| Set default ICC Profile data (SRGB) More...
virtual OFCondition | setColorSpace (const OFString &value, const OFBool checkValue=OFTrue)
| Set Color Space. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| The module's name ("ICCProfileModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the ICC Profile Module:

ICC Profile (0028,2000): (OB, 1, 1) Color Space (0028,2002): (CS, 3, 1)

## Constructor & Destructor Documentation

## ◆ IODICCProfileModule()

IODICCProfileModule::IODICCProfileModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ clearData()

virtual void IODICCProfileModule::clearData | ( |  | ) |
| virtual

Clear all attributes from the data that are handled by this module.

An attribute is considered belonging to the module if there are rules marked as belonging to this module via the rule's module name.

Reimplemented from IODComponent.

## ◆ getColorSpace()

virtual OFCondition IODICCProfileModule::getColorSpace | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const
| virtual

Get Color Space.

Parameters

  value | Reference to variable in which a copy of the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getICCProfile()

virtual OFCondition IODICCProfileModule::getICCProfile | ( | const Uint8 *& | value,
|  | Uint32 & | numBytes
| ) |  |
| virtual

Get the ICC Color Profile data.

Parameters

  value | Returns a reference to the icc profile data
  numBytes | Number of bytes in the icc profile data returned in value parameter

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODICCProfileModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("ICCProfileModule")

Implements IODComponent.

## ◆ read()

virtual OFCondition IODICCProfileModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ setColorSpace()

virtual OFCondition IODICCProfileModule::setColorSpace | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Color Space.

Parameters

  value | The value of Color Space
  checkValue | Check value for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if value is set, an error code otherwise

## ◆ setDefaultProfile()

virtual OFCondition IODICCProfileModule::setDefaultProfile | ( | const OFBool & | setColorSpaceDescription = `OFTrue` | ) |
| virtual

Set default ICC Profile data (SRGB)

Parameters

  setColorSpaceDescription | If OFTrue, Color Space Description (0028,2004) is set to "SRGB" when setting the default profile. If not, this attribute is not touched by this method (i.e. by default it remains unset).

Returns
  EC_Normal if value is set, an error code otherwise

## ◆ setICCProfile()

virtual OFCondition IODICCProfileModule::setICCProfile | ( | const Uint8 * | value,
|  | const unsigned long | numBytes,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set ICC Profile data.

Parameters

  value | The value of ICC Profile (will be copied)
  numBytes | Number of bytes in the icc profile data (value parameter)
  checkValue | Check value for conformance with VR (OB) if OFTrue

Returns
  EC_Normal if value is set, an error code otherwise

## ◆ write()

virtual OFCondition IODICCProfileModule::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modiccprofile.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1